SeparatorModule (Barbecue 1.0.6d API)
Keywords: net.sourceforge.barbecue.SeparatorModule class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.barbecue
Class SeparatorModule

    java.lang.Object
      net.sourceforge.barbecue.Module
          net.sourceforge.barbecue.SeparatorModule

public class SeparatorModule
extends Module

Specific implementation of Module that draws a blank bar (of configurable width). This can be used to insert inter-module spaces (as required by some barcode formats) without having to modify the data to be encoded to include the spaces.

Note: You should not instantiate this class directly.

Author:
  Ian Bourke

Field Summary

Fields inherited from class net.sourceforge.barbecue.Module
`bars`

Constructor Summary
`SeparatorModule()` Constructs a new SeparatorModule with a width of 1.
`SeparatorModule(int width)` Constructs a new SeparatorModule with the specified width.

Method Summary
`protected double` | `draw(AbstractOutput output, double x, double y)` Draws the module to the specified output.
`java.lang.String` | `getSymbol()` Returns the symbol that this module encodes.

Methods inherited from class net.sourceforge.barbecue.Module
`equals, hashCode, setSymbol, toString, widthInBars`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SeparatorModule

    public SeparatorModule()

  Constructs a new SeparatorModule with a width of 1.

### SeparatorModule

    public SeparatorModule(int width)

  Constructs a new SeparatorModule with the specified width.

Parameters:
  `width` - The width of the separator in bar widths.

Method Detail

### draw

    protected double draw(AbstractOutput output,
                          double x,
                          double y)

  Draws the module to the specified output.

  Overrides:
    `draw` in class `Module`
  Parameters:
    `output` - The barcode output to draw to
    `x` - The starting X co-ordinate
    `y` - The starting Y co-ordinate
  Returns:
    The total width drawn

### getSymbol

    public java.lang.String getSymbol()

  Returns the symbol that this module encodes.

  Overrides:
    `getSymbol` in class `Module`
  Returns:
    A blank string

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD